Bug 182685 - CanvasRenderingContext2DBase: use CanvasBase more extensively
Summary: CanvasRenderingContext2DBase: use CanvasBase more extensively
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords: InRadar
Depends on: 182503
Blocks: 182686 183720
  Show dependency treegraph
 
Reported: 2018-02-11 23:27 PST by Zan Dobersek
Modified: 2019-11-01 05:56 PDT (History)
15 users (show)

See Also:


Attachments
WIP patch (11.57 KB, patch)
2018-02-11 23:28 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (14.84 KB, patch)
2018-03-01 01:48 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (9.14 KB, patch)
2019-10-01 04:17 PDT, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (9.14 KB, patch)
2019-10-10 02:58 PDT, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (9.14 KB, patch)
2019-10-17 02:34 PDT, Chris Lord
no flags Details | Formatted Diff | Diff
Patch (9.19 KB, patch)
2019-11-01 02:35 PDT, Chris Lord
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2018-02-11 23:27:11 PST
In CanvasRenderingContext2DBase, instead of downcasting the CanvasBase object to HTMLCanvasElement, call CanvasBase methods introduced in bug #182503, making it possible for OffscreenCanvas to leverage this class properly.
Comment 1 Zan Dobersek 2018-02-11 23:28:47 PST
Created attachment 333582 [details]
WIP patch

Depends on changes in bug #182503.
Comment 2 Zan Dobersek 2018-03-01 01:48:02 PST
Created attachment 334802 [details]
Patch

Reviewable, but still depends on bug #182503.
Comment 3 Chris Lord 2019-10-01 04:17:36 PDT
Created attachment 379890 [details]
Patch
Comment 4 Chris Lord 2019-10-10 02:58:14 PDT
Created attachment 380621 [details]
Patch
Comment 5 Chris Lord 2019-10-17 02:34:05 PDT
Created attachment 381184 [details]
Patch
Comment 6 Chris Lord 2019-11-01 02:35:02 PDT
Created attachment 382568 [details]
Patch
Comment 7 Adrian Perez 2019-11-01 04:08:17 PDT
Comment on attachment 382568 [details]
Patch

Patch LGTM. Let's wait until all the EWS bots pass before setting cq+ :-)
Comment 8 WebKit Commit Bot 2019-11-01 05:55:35 PDT
Comment on attachment 382568 [details]
Patch

Clearing flags on attachment: 382568

Committed r251914: <https://trac.webkit.org/changeset/251914>
Comment 9 WebKit Commit Bot 2019-11-01 05:55:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-11-01 05:56:16 PDT
<rdar://problem/56814353>